
set container [ns_queryget "container"]
set showwhat [ns_queryget "type"]

switch $showwhat {
	"mylocation" {
		set id [ns_queryget "id"]
		db_1row "getlonglats" "select longitude as long, latitude as lat from mashup_geoip where id =:id"
		set script "

			var icon${id} = new GIcon(baseIcon);
			var point${id} = new GPoint($long,$lat);
			var html${id} = \"<div style='width:100px;white-space:nowrap;'>You are here !</div>\";
			icon${id}.image = \"yellow.png\";

			if ( typeof markers\[${id}\] == 'undefined' ) {
				//alert('create marker ${id}');
				markers\[${id}\] = new GMarker(point${id},icon${id});				
				GEvent.addListener(markers\[${id}\], 'click', function() { markers\[${id}\].openInfoWindowHtml(html${id});  } );
				YAHOO.util.Event.addListener('showloclinkfrommap', 'click', function() { markers\[${id}\].openInfoWindowHtml(html${id});  } );
				map.addOverlay(markers\[${id}\]);
				markers\[${id}\].openInfoWindowHtml(html${id});

			} else {
				//alert('reuse marker ${id} ');
				markers\[${id}\].openInfoWindowHtml(html${id});
				markers\[${id}\].redraw();
			}
		"
	}
	"allvisitors" {
		# query all visitors in 
		set script ""
		db_foreach "getgeoips" "select id, longitude as long, latitude as lat, ip, city, countryname from mashup_geoip" {
			set lastvisit [db_string "lastvisit" "select max(datetime_visit) from mashup_geoip_visits where mashup_geoip_id=:id"]
			if { [exists_and_not_null lastvisit] } { set lastvisit [lc_time_fmt $lastvisit "%x %X"] } else { set lastvisit "" }
			if { [exists_and_not_null long] && [exists_and_not_null lat] } {
				append script "var icon${id} = new GIcon(baseIcon); "
				append script "var point${id} = new GPoint($long,$lat); "
				append script "var html${id} = \"<div style='width:100px;white-space:nowrap;'>${ip}<br>${city},${countryname}<br>Last Visit: ${lastvisit}</div>\"; "
				append script "
				if ( typeof markers\[${id}\] == 'undefined' ) {
					// alert('create marker ${id}');
					icon${id}.image = \"lightblue.png\";
					markers\[${id}\] = new GMarker(point${id},icon${id});				
					GEvent.addListener(markers\[${id}\], 'click', function() { markers\[${id}\].openInfoWindowHtml(html${id});  } );
					map.addOverlay(markers\[${id}\]);
					markers\[${id}\].redraw();
				}
				"
			}
			
		}
	}
	"whosonline" {
		# get list of user_id's currently online
		# gather the geo_ip_id's from the visit table
		# create the markers
	}
}
